# Examples

## Setting up pygccxml and parsing c/c++ code

- Parsing a c++ file
- Parsing a string containing code

## First examples

- Variables
- Searching for a declaration (using a loop)
- Searching for a declaration (using matchers)
- Comparing two declarations
- Functions and arguments
- Nested types
- Explicit and implicit class declarations
- Compound types
- C++ Templates

## Advanced examples

- Elaborated type specifiers
- Function pointers
- Caching
- Print all declarations